//if (!safeget(root_table, "WEAPON_TYPES", null))
    ::WEAPON_TYPES <- {};

::GetWeaponTypeByName <- function(name)
{
    return safeget(WEAPON_TYPES, name, null);
}

::GetWeaponTypeFromEntity <- function(weaponEntity)
{
    return safescriptget(weaponEntity, "weaponTT", null);
}

::FindWeaponEntityByType <- function(player, weaponTTname)
{
    for (local i = 0; i < 27; i++)
    {
        local weaponEnt = GetPropEntityArray(player, "m_hMyWeapons", i);
        if (!weaponEnt)
            continue;
        local weaponScript = weaponEnt.GetScriptScope();
        if (safeget(safeget(weaponScript, "weaponTT", false), "name", null) == weaponTTname)
            return weaponEnt;
    }
    return null;
}

OnTickEnd(function()
{
    local model;
    foreach(_, weaponType in WEAPON_TYPES)
    {
        if (model = safeget(weaponType, "viewmodel", null))
            PrecacheModel(model);
        if (model = safeget(weaponType, "worldmodel", null))
            PrecacheModel(model);
        if (model = safeget(weaponType, "playermodel", null))
            PrecacheModel(model);
    }
});