playerClass <- TF_CLASS_HEAVY;
model <- API_GetString("vip_model");
viewmodelHands <- API_GetString("vip_arms_model");
scale <- API_GetFloat("vip_scale");

Include("vip_shared/_vip_shared.nut");

Include("vip_mobster/vip_moneybag_recharge.nut");
Include("vip_mobster/vip_experiments.nut");
Include("vip_mobster/vip_failsafe.nut");
Include("vip_mobster/mobster_weapons.nut");

OnSelfEvent("init_custom_character", 0, function()
{
    CreateViewModel(viewmodelHands);

    self.AddCustomAttribute("patient overheal penalty", 0.2, -1);
    self.AddCustomAttribute("airblast vulnerability multiplier", 0.4, -1);

    self.SetHealth(500);
    self.SetMaxHealth(500);
    self.RemoveCustomAttribute("max health additive penalty");
    self.AddCustomAttribute("max health additive penalty", 200, -1);

    local superSmg = EquipWeapon(GetWeaponTypeByName("typewriter"));
    EquipWeapon(GetWeaponTypeByName("money_bag"));
    EquipWeapon(GetWeaponTypeByName("lead_pipe"));
    OnNextTick(function() {
        self.Weapon_Switch(superSmg);
    })
});