expireTime <- Time() + 1;
local particles = [];
local player = self;
local vipThrower = self;

RunWithDelay(0.1, function()
{
    player = self.GetMoveParent();
    vipThrower = self.GetOwner();

    local origin = player.GetOrigin();
    for (local i = 0; i < 4; i++)
    {
        local particle = SpawnEntityFromTable("info_particle_system",
        {
            origin = origin,
            effect_name = "utaunt_cash_confetti",
            start_active = 1
        });
        EntFireByHandle(particle, "SetParent", "!activator", -1, self, self);
        particles.push(particle)
    }

    if (player.GetPlayerClass() == TF_CLASS_SPY)
        AddTimer(-1, function(player)
        {
            if (player.InCond(TF_COND_STEALTHED))
            {
                foreach (particle in particles)
                    particle.Kill();
                particles = [];
            }
        }, player);
});

AddTimer(0.2, function()
{
    player.Heal(player.GetMaxHealth() * 0.03, false);

    if (Time() > expireTime)
        self.Kill();
});

OnGameEvent("OnTakeDamage", function(victim, params)
{
    if (player == victim)
        params.damage *= 0.85;
    else if (player == params.attacker)
        params.damage *= 1.15;
})

//This is to grant the assist to the VIP. It doesn't actually make people take increased damage.
OnGameEvent("player_hurt", 0, function(victim, params)
{
    if (victim.GetHealth() <= 0)
        victim.AddCondEx(TF_COND_URINE, 0, vipThrower);
})
