PrecacheSound("vip/coin_regen.mp3")

bagThrowTime <- Time() + 99999;
lastMoneyBag <- null;

game_text_vip_money <- SpawnEntityFromTable("game_text",
{
    color = "236 227 203",
    color2 = "0 0 0",
    channel = 5,
    holdtime = 5,
    message = "",
    x = -1,
    y = 0.6
});

AddTimer(0.2, function()
{
    if (Time() - bagThrowTime > 30)
    {
        SetPropIntArray(self, "m_iAmmo", 1, 5);
        bagThrowTime = Time() + 99999;
        EmitSoundEx({
            sound_name = "vip/coin_regen.mp3",
            filter_type = Constants.EScriptRecipientFilter.RECIPIENT_FILTER_SINGLE_PLAYER
            flags =  1,
            volume = 0.3,
            channel = 0,
            entity = self,
            speaker_entity = self
        });
    }

    local timeLeft = clampCeiling((Time() - bagThrowTime) * 3.33333, 100);
    if (timeLeft < 0)
        timeLeft = 100;
    if (timeLeft >= 100)
        timeLeft = "Ready!"
    else
        timeLeft = format("%d%%", timeLeft);

    NetProps.SetPropString(game_text_vip_money, "m_iszMessage", format("Money Bag∶ %s\n(Secondary)", timeLeft));
    EntFireByHandle(game_text_vip_money "Display", "", 0, self, self);
})