for (local i = 1; i <= MAX_PLAYERS; i++)
{
    local player = PlayerInstanceFromIndex(i);
    if (player)
    {
        local team = player.GetTeam();

        client_cache.push(player);
        if (player && team > 1)
        {
            player_cache[0].push(player);
            player_cache[team].push(player);
            if (GetPropInt(player, "m_lifeState") == 0)
            {
                alive_player_cache[0].push(player);
                alive_player_cache[team].push(player);
            }
        }
    }
}

::ClientCache_Join <- function(player)
{
    if (client_cache.find(player) == null)
        client_cache.push(player);
}

OnGameEvent("player_team", -999999, function(player, params)
{
    foreach(team in [0, params.oldteam])
    {
        local index = player_cache[team].find(player);
        if (index != null) player_cache[team].remove(index);
        index = alive_player_cache[team].find(player);
        if (index != null) alive_player_cache[team].remove(index);
    }

    if (params.team >= 2)
    {
        player_cache[0].push(player);
        player_cache[params.team].push(player);
    }
});

OnGameEvent("player_spawn", -999999, function(player, params)
{
    foreach(team in [0, player.GetTeam()])
        if (alive_player_cache[team].find(player) == null)
            alive_player_cache[team].push(player);
});

OnGameEvent("player_death_post", 999999, function(player, params)
{
    local index;
    foreach(team in [0, player.GetTeam()])
        if ((index = alive_player_cache[team].find(player)) != null)
            alive_player_cache[team].remove(index);
});

OnGameEvent("player_disconnect", 999999, function(player, params)
{
    local index = client_cache.find(player);
    if (index != null) client_cache.remove(index);

    foreach(team in [0, player.GetTeam()])
    {
        index = player_cache[team].find(player);
        if (index != null) player_cache[team].remove(index);
        index = alive_player_cache[team].find(player);
        if (index != null) alive_player_cache[team].remove(index);
    }
});