PrecacheSound("vo/announcer_failure.mp3");
PrecacheSound("vo/announcer_success.mp3");
PrecacheSound("MVM.MoneyPickup");

OnGameEvent("vip_death", 0, function(player, params)
{
    local attacker = GetPlayerFromParams(params, "attacker");
    if (!attacker || attacker == player || IsRoundSetup())
        return;
    ClientPrint(null, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFCC22VIP died!");
    foreach(otherPlayer in GetAllClients())
    {
        EmitSoundEx({
            sound_name = player.GetTeam() == otherPlayer.GetTeam() ? "vo/announcer_failure.mp3" : "vo/announcer_success.mp3",
            filter_type = Constants.EScriptRecipientFilter.RECIPIENT_FILTER_SINGLE_PLAYER
            flags =  1,
            channel = 7
            entity = otherPlayer,
            speaker_entity = otherPlayer
        });
        EmitSoundEx({
            sound_name = player.GetTeam() == otherPlayer.GetTeam() ? "MVM.PlayerDied" : "MVM.MoneyPickup",
            filter_type = Constants.EScriptRecipientFilter.RECIPIENT_FILTER_SINGLE_PLAYER
            flags =  1,
            volume = 0.3,
            channel = 6
            entity = otherPlayer,
            speaker_entity = otherPlayer
        });
    }
});
