for (local capture_area = null; capture_area = Entities.FindByClassname(capture_area, "trigger_capture_area");)
{
    EntFireByHandle(capture_area, "Disable", "", -1, null, null);

    local multiple = SpawnEntityFromTable("trigger_multiple", {
        origin = capture_area.GetOrigin(),
        spawnflags = 1,
        StartDisabled = 0,
        model = GetPropString(capture_area, "m_ModelName"),
        filtername = "filter_vip", //todo temp hack until we get VIP Race
        "OnStartTouchAll": "!self,RunScriptCode,main_script.OnVIPStartTounch(self),-1,-1",
        "OnEndTouchAll": "!self,RunScriptCode,main_script.OnVIPEndTounch(self),-1,-1",
    });
    multiple.ValidateScriptScope();
    multiple.GetScriptScope().capture_area <- capture_area;
}

function OnVIPStartTounch(trigger)
{
    //if (!IsVIP(activator))
    //    return;
    EntFireByHandle(trigger.GetScriptScope().capture_area, "Enable", "", -1, null, null);
}

function OnVIPEndTounch(trigger)
{
    //NOTE: A DEAD VIP DOES NOT COUNT AS THE VIP BY THIS TIME.
    //todo: make the VIP count as the VIP for a second?
    //if (!IsVIP(activator))
    //    return;
    EntFireByHandle(trigger.GetScriptScope().capture_area, "DisableAndEndTouch", "", -1, null, null);
}

//todo temp hack until we get VIP Race
OnGameEvent("vip_death", 0, function(player, params)
{
    for (local capture_area = null; capture_area = Entities.FindByClassname(capture_area, "trigger_capture_area");)
        EntFireByHandle(capture_area, "DisableAndEndTouch", "", -1, null, null);
});