::team_round_timer <- Entities.FindByClassname(null, "team_round_timer");
::canes <- [null, null, null, null, null];

function SpawnRedCaneAt(targetname)
{
    SpawnCaneAt(2, targetname);
}

function SpawnBlueCaneAt(targetname)
{
    SpawnCaneAt(3, targetname);
}
SpawnBluCaneAt <- SpawnBlueCaneAt;

function SpawnCaneAt(team, targetname)
{
    SpawnCaneAtEntity(team, Entities.FindByName(null, targetname));
}

function SpawnCaneAtEntity(team, entity)
{
    if (!entity || !entity.IsValid())
        return;
    if (canes[team] && canes[team].IsValid())
    {
        canes[team].Teleport(true, entity.GetOrigin(), false, QAngle(), false, Vector());
    }
    else
    {
	    canes[team] = SpawnEntityFromTable("prop_dynamic",
	    {
        	origin = entity.GetOrigin(),
            angles = "-20 0 0",
            model = API_GetString("cane_pickup_model"),
            vscripts = projectDir + "gamemode/cane_pickup.nut",
            thinkfunction = "CaneThink",
	        playbackrate = 1.0,
            TeamNum = team
        });
    }
};