deleteItems <- true;
mute <- true;
cleanOnDeath <- true;
cleanOnClassChange <- true;

Include("vip_shared/vip_nag.nut");
Include("vip_shared/vip_mediccall.nut");

OnSelfEvent("init_custom_character", -101, function()
{
    self.KeyValueFromString("targetname", "vip");
    self.RemoveCond(TF_COND_DISGUISED);
    self.RemoveCond(TF_COND_DISGUISING);

    foreach (otherPlayer in GetAlivePlayers(self.GetTeam()))
    {
        if (otherPlayer.GetPlayerClass() != TF_CLASS_MEDIC)
            return;
        local medigun = otherPlayer.GetActiveWeapon();
        if (GetPropEntity(medigun, "m_hHealingTarget") == self)
            SetPropEntity(medigun, "m_hHealingTarget", null);
    }
});

OnSelfEvent("init_custom_character", 101, function(player, params)
{
    FireCustomEvent("vip_spawn", params);
    DoEntFire(GetTeamName(player) + "_vip_spawn*", "Trigger", "", -1, player, player);
});

OnSelfEvent("player_death", 0, function(params)
{
    DoEntFire(GetTeamName(self) + "_vip_death*", "Trigger", "", -1, self, self);
    FireCustomEvent("vip_death", params);
});

OnSelfEvent("clear_custom_character", 101, function(player, params)
{
    self.KeyValueFromString("targetname", "");
    vipPlayers[self.GetTeam()] = null;
});